今自宅サーバーとしてインストールするならば、fc5とfc6でどっちがおすすめですか?今までcentOSだったので、php4だったのですが、fc5にしてもfc6にしてもphp5なので、動かなくならないか不安です。php4と5を同居させる方法やphp5をphp4互換モードで動かす方法などもあれば教えて下さい。

回答の条件
  • 1人2回まで
  • 登録:2007/04/21 23:28:22
  • 終了:2007/04/28 23:30:04

回答(4件)

id:TNIOP No.1

TNIOP回答回数2344ベストアンサー獲得回数582007/04/22 22:50:05

ポイント23pt

http://fedorasrv.com/bbshtml/webpatio/2252.shtml

例えば、php4系しかサポートしてないアプリであれば、FC5系になると実行できなくなるなどが考えられます。

ということですのでご注意ください。

id:Yota No.2

Yota回答回数453ベストアンサー獲得回数282007/04/23 11:16:52

ポイント22pt

FC5もFC6も大差ないと思うので、アップグレードがなくなるまでの期間がより遅いFC6に軍配を上げます。

phpのバージョンはrpmにこだわらず、ソースから好きなものをインストールしたほうがいいと思います。php4で動いていたスクリプトをphp5で実行するのは、リスクがあります。この際、デバッグしながらphp5用に書き換えるとうのもありだと思いますが。

一つのhttpdプロセスでphp4とphp5を両方ともモジュールとして動かすことはできません。例えば、php5のほうをCGIにすれば、拡張子によってどちらのphpで実行するか区別することはできます。

id:nyamap No.3

nyamap回答回数22ベストアンサー獲得回数02007/04/23 04:02:44

ポイント23pt

Fedora Coreは半年で新しいものが出てからわずか1年でサポート切れになるのでサーバにはあまり向いていない印象です。FC7が近々(来月位?)に出る予定ですのでFC5のサポートはすぐ切れることになりますね。どちらかというとFC6がいいのでは。

つい最近CentOS5が出ました。こちらはFC6に近い新しめの構成で、php5です。選択肢として、悪くないと思うのですがどうでしょうか。

あとphp4, php5の同居はあまりスマートな方法はないようです。

http://www.nsworks.com/html/soft_php_inst1.html

id:mshron No.4

mshron回答回数7ベストアンサー獲得回数02007/04/23 11:23:57

ポイント22pt

すにで回答がかぶっているかもしれませんが

http://www.phppro.jp/news/60

http://hain.jp/index.php/tech-j/2006/11/20/p82

あたりが参考になるかと思います。

※Googleのサジェストに沿うと

キーワード : php4 php5 共存

結構hitするので、どこかにクリティカルな情報があるかなと。

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません